## org.apache.batik.css.engine.value
Interface ShorthandManager

All Known Implementing Classes:
  MarkerShorthandManager

public interface ShorthandManager

This interface represents the objects which provide support for shorthand properties.

Nested Class Summary
`static interface` `ShorthandManager.PropertyHandler` To handle a property value created by a ShorthandManager.

Method Summary
`java.lang.String` `getPropertyName()` Returns the name of the property handled.
`void` `setValues(CSSEngine eng, ShorthandManager.PropertyHandler ph, LexicalUnit lu, boolean imp)` Sets the properties which are affected by this shorthand property.

Method Detail

### getPropertyName

    public java.lang.String getPropertyName()

  Returns the name of the property handled.

### setValues

    public void setValues(CSSEngine eng,
                          ShorthandManager.PropertyHandler ph,
                          LexicalUnit lu,
                          boolean imp)
                   throws org.w3c.dom.DOMException

  Sets the properties which are affected by this shorthand property.

  Parameters:
    `eng` - The current CSSEngine.
    `ph` - The property handler to use.
    `lu` - The SAC lexical unit used to create the value.
    `imp` - The property priority.
  Throws:
    `org.w3c.dom.DOMException`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.